---
search:
  tags:
    - Contacts
    - POST
seo:
  description: >-
    Add to a segment. Reference for the POST /contacts/{id}/segments/{segmentId}
    endpoint in the BillionSend API.
sidebar:
  label: Add to a segment
  badge: POST
title: Add to a segment
type: openapi-operation
---
`POST /contacts/{id}/segments/{segmentId}`

**Responses**

- `200` — Contact added to the segment
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
```
